Subject: Re: Too verbose compat_ioctl messages?

From: Jeremy Fitzhardinge <[email-masked]>
Date: Fri, 06 Jul 2007 11:33:43 -0700

Andi Kleen wrote:
> "H. Peter Anvin" <[email-masked]> writes:
>   
>> For one thing, it looks like we're returning the wrong thing (EINVAL
>> rather than ENOTTY) across the board.  This was unfortunately a common
>> misunderstanding with non-tty-related ioctls in the early days of Linux.
>>     
>
> ENOTTY is so excessively misnamed that it is actually surprising
> anybody ever got that "right" (for very small values of right i guess)
>   

But it *isn't* a typewriter.  Of course, it's not a giraffe either.

    J